Summary: CD ripping tool using GTK+ and GStreamer
Name: sound-juicer
Version: 2.20.1
%define subrel 1
Release: %mkrel 1
License: GPL
Group: Sound
URL: http://www.burtonini.com/blog/computers/sound-juicer
Source0: http://ftp.gnome.org/pub/GNOME/sources/sound-juicer/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: librsvg
BuildRequires: libmusicbrainz-devel >= 2.0.0
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgstreamer-plugins-base-devel >= 0.8
BuildRequires: libnautilus-burn-devel >= 2.13.93
BuildRequires: gnome-media >= 2.13.7
BuildRequires: libcdio-devel
BuildRequires: scrollkeeper
BuildRequires: hal-devel
BuildRequires: libcddb-slave2-devel
BuildRequires: gnome-doc-utils
BuildRequires: perl-XML-Parser
BuildRequires: taglib-devel
BuildRequires: desktop-file-utils
BuildRequires: gnome-common intltool
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-gnomevfs
Requires: gstreamer0.10-cdparanoia
Suggests: gstreamer0.10-vorbis
Suggests: gstreamer0.10-flac
Suggests: gstreamer0.10-lame
Suggests: gstreamer0.10-faac

%description
This is Sound Juicer, a CD ripping tool using GTK+ and GStreamer.

%prep
%setup -q

%build

%configure2_5x --enable-hal --disable-scrollkeeper --enable-taglib

make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std 

%find_lang %{name} --with-gnome


# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
	needs="X11" \
	section="Multimedia/Sound" \
	title="Sound Juicer CD Ripper" \
	longtitle="Rip music from your CDs" \
	command="%{_bindir}/sound-juicer" \
	icon="sound-juicer.png" \
	startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p %buildroot%_liconsdir
rsvg -w 48 -h 48 data/sound-juicer.svg $RPM_BUILD_ROOT%{_liconsdir}/sound-juicer.png
rsvg -w 32 -h 32 data/sound-juicer.svg $RPM_BUILD_ROOT%{_iconsdir}/sound-juicer.png
install -D -m 644 data/sound-juicer-16.png $RPM_BUILD_ROOT%{_miconsdir}/sound-juicer.png

for omf in %buildroot%_datadir/omf/*/*-{??,??_??}.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done


%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %name
%{update_menus}
%update_scrollkeeper
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %name

%postun
%{clean_menus}
%clean_scrollkeeper
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog
%{_sysconfdir}/gconf/schemas/sound-juicer.schemas
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/sound-juicer
%_datadir/icons/hicolor/*/apps/sound-juicer.*
%_mandir/man1/%name.1*
%{_menudir}/*
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf


%changelog
* Thu Nov 22 2007 Gustavo De Nardin <gustavodn@mandriva.com> 2.20.1-1.1mdv2008.0
- build for update

* Sun Oct 14 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98271
- new version
- drop patch

* Fri Oct 12 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.1
+ Revision: 97338
- Patch0 (SVN): various SVN fixes (include fix for Mdv bug #34635)

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89001
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 62996
- new version
- replace some deps by suggests

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 40797
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.1-2mdv2008.0
+ Revision: 36200
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.16.4-1mdv2008.0
+ Revision: 14503
- fix omf file list
- drop patches
- new version


* Tue Mar 20 2007 Götz Waschk <waschk@mandriva.org> 2.16.3-3mdv2007.1
+ Revision: 146911
- initialize threads to fix warning on startup

* Sun Mar 18 2007 Pascal Terjan <pterjan@mandriva.org> 2.16.3-2mdv2007.1
+ Revision: 146025
- Fix error message about non existent CD-ROM drive in non UTF-8 locales

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 2.16.3-1mdv2007.1
+ Revision: 115012
- new version
- fix build with new gnome-doc-utils
- update file list

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 86169
- new version
- Import sound-juicer

* Wed Oct 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5.1-1mdv2007.0
- Release 2.15.5.1
- Remove patch0

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new macros
- xdg menu
- New release 2.15.4

* Thu Jun 15 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- New release 2.15.3

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2.1-1mdv2007.0
- Release 2.15.2.1
- Patch0: fix build

* Mon May 29 2006 Götz Waschk <waschk@mandriva.org> 2.14.4-1mdv2007.0
- New release 2.14.4

* Thu Apr 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.3-1mdk
- Release 2.14.3

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-3mdk
- Rebuild wtih latest dbus
- disable suggests until urpmi supports them

* Tue Jan 17 2006 Gtz Waschk <waschk@mandriva.org> 2.12.3-2mdk
- add some suggested gstreamer plugins

* Thu Nov 24 2005 Gtz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- drop patch
- New release 2.12.3

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 2.12.2-3mdk
- fix buildrequires

* Wed Oct 12 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Patch0: fix crash when opening preferences (Mdk bug #19128)

* Tue Oct 11 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-1mdk
- Release 2.12.2

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)

* Tue Apr 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-3mdk 
- Patch0 (CVS): fix default profile name (Mdk bug #15005)

* Fri Feb 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.0-2mdk
- add BuildRequires: libgstreamer-plugins-devel

* Fri Feb 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-1mdk
- New release 0.6.0
- Remove patch0 (merged upstream)

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.15-1mdk 
- Release 0.5.15
- Remove patches 0 & 1 (merged upstream)
- Patch 0: allow compilation with HAL 0.4.1

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.14-3mdk 
- Patch1 (Fedora): improve idle handler safety
- Enable HAL

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.14-2mdk 
- Patch0: better error handling (allow to rip some CDs with incomplete
  musicbrainz metadata)

* Thu Oct 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.14-1mdk
- New release 0.5.14
- Remove patch0 (merged upstream)

* Thu Sep 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.12-2mdk
- Patch0 (CVS): various bug fixes

* Fri Jun 18 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.5.12-1mdk
- New release 0.5.12

* Mon Jun 07 2004 Abel Cheung <deaddog@deaddog.org> 0.5.11-2mdk
- Rebuild with new gcc
- Use ImageMagick to convert icons

* Sat May 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.5.11-1mdk
- New release 0.5.11

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.10.1-5mdk
- fix buildrequires

* Sat Apr 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.10.1-4mdk
- new musicbrainz

* Wed Apr 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.10.1-3mdk
- rebuild for gstreamer 0.8

